<?php

//------------------------------------------------------------------------------
// 신규 볼륨을 추가한다.
//------------------------------------------------------------------------------

// 인클루드
require_once( "../inc/session2.php" );
require_once( "../inc/common.inc" );         // 공통 함수 모음
require_once( "../inc/db_pgsql.inc" ); // 데이터베이스 인터페이스

$admin_seq = 1; 

// RC RCCT conf 파일 경로
$rcAcctPath = "/user/service/etc/rcacct.conf";

$AdminLevel = 1;

// POST 변수 취득
$rcid      = $_POST["rcid"];        // RC ID
$rc_name   = $_POST["rc_name"];     // RC 표시명
$rcts_addr = $_POST["rcts_addr"];   // RCTS 주소
$fhs_addr  = $_POST["fhs_addr"];    // FHS 주소
$acct1	   = $_POST["acct1"];		// 서비스 네임
$acct2	   = $_POST["acct2"];		// 볼륨 네임
$acct3	   = $_POST["acct3"];		// 비번
$acct4	   = $_POST["acct4"];		// 인증키
$acct5	   = $_POST["acct5"];		// 인증키 위치

$rc_acct = $acct1.":".$acct2.":".$acct3.":".$acct4.":".$acct5;

$begin_date  = date( "Y-m-d", time() );
$end_date    = date( "Y-m-d", time() );

$reg_date    = date( "Y-m-d H:i:s", time() );
$update_date = date( "Y-m-d H:i:s", time() );

$objConn = new DB_Sql;

// 기존에 동일한 아이디의 POP이 존재하면, POP 추가를 못하도록 해야 한다.
$strSQL = " SELECT COUNT(rcid) FROM t_rms_rc_index " .
          " WHERE rcid = '$rcid' AND deleted_yn = 'N'";

$objConn->query( $strSQL );
if( $objConn->nf() != 0 ) 
{
    $objConn->next_record();
    $cnt = $objConn->f(0);
}

if( $cnt > 0 )
{
    $objConn->close();
    AlertBack( "동일한 ID의 POP이 이미 존재합니다.\n\n다른 ID를 입력하세요." );
    exit;
}

// CHG 2015-11-19 huibong
// t_rms_rc_index table 의 arranage 컬럼은 auto increment 설정이므로.. 빈값 입력시 insert 오류 발생.
// 따라서 arrange 항목 삭제 처리함.
$strSQL_1 = " INSERT INTO t_rms_rc_index " .
            " (rcid, rc_name, svc_rcts_url, vol_url_rts, rcacct, reg_datetime ) " . 
            " VALUES " . 
            " ('$rcid', '$rc_name', '$rcts_addr', '$fhs_addr', '$rc_acct', now() ); ";
            

$CookieSEED = "skldfhoi40wyrf83yf0hs9efh8943yf9herf";
$crypt = new cast128;
$crypt->setkey( $CookieSEED );

//$loginid = $crypt->decrypt( base64_decode($_COOKIE["cookie_admin_id"]) );
$loginid = $_COOKIE["cookie_admin_id"] ;

$reg_date    = date( "Y-m-d H:i:s", time() );
$update_date = date( "Y-m-d H:i:s", time() );
$remoteaddr  = getenv('REMOTE_ADDR');
$alert_msg   = "[POP추가] POP ID:" . $rcid ." POP 이름:" . $rc_name;

// CHG 2015-11-19 huibong
// t_system_event table insert 처리시 column 항목 설정 안할 경우.. auto increment 항목 때문에 오류 발생.
$strSQL_4 = " INSERT INTO t_system_event " .
            " (sp_user_seq, sys_evt_svr_name, sys_evt_code, sys_evt_dtl, sys_evt_sendcnt, reg_datetime, update_datetime, deleted_yn, sys_evt_adminid) " .
            " VALUES " . 
            " ( $admin_seq, '$remoteaddr', 'EV01', '$alert_msg', 0, '$reg_date', '$update_date', 'N', '$loginid' ); ";


//$strSQL = $strSQL_1 . $strSQL_2 . $strSQL_3 . $strSQL_4;
$strSQL = $strSQL_1 . $strSQL_4;
$res1 = $objConn->query($strSQL_1);
$res4 = $objConn->query($strSQL_4);
//if( $objConn->query($strSQL) )

if( $res1 && $res4 )
{
     //$objConn->commitTrans();

	 // rcacct.conf 파일 업데이트
	 $fp = fopen($rcAcctPath, "w");
	 
	 $strSql = "SELECT rcacct FROM t_rms_rc_index WHERE deleted_yn = 'N' ";
	 $res = $objConn->query($strSql);
	 
	 if( $objConn->nf() != 0 )
	 {
		 while( $objConn->next_record() )
		 {
			 $rcacct = $objConn->f("rcacct");

			 if (!is_null($rcacct) && $rcacct != "")
			 {
				 fwrite($fp, $rcacct."\n");
			 }
		 }
	 }

	 fclose($fp);
     $objConn->close();
     AlertMsg( "$rc_name RC가 추가되었습니다." );
     echo( "<META http-equiv='refresh' content='0; url=$DOC_ROOT/rcmng/rc_list.html'>" );
}
else
{
    $objConn->rollbackTrans();
    $objConn->close();
    AlertBack( "error: database query failed" );
}
?>
